#!/usr/bin/node

module.paths.push('/usr/local/lib/node_modules');
var ioslib = require('ioslib');

var command = 'list',
    simUDID =  null, // string or null to pick a simulator
    appPath =  null;

process.argv.slice(2).forEach(function(val, index, array) {
  if (val.indexOf('=')>-1) {
    var split_val = val.split('=');
    var k = split_val[0], v = split_val[1];
    if      (k == 'command') command = v;
    else if (k == 'simUDID') simUDID = v;
    else if (k == 'appPath') appPath = v;
  }
});

if (command == 'list') {
  ioslib.detect(function(err, info){
    if (err) {
      console.error(err);
      process.exit(1);
    } else console.log(JSON.stringify(info.simulators.ios));
  });
} else if (command == 'launch') {
  if (appPath == null) {
    console.error('You must specify a path to an app bundle!');
    process.exit(1);
  } else {
    ioslib.simulator.launch(simUDID, {
      appPath: appPath
    }).on('launched', function (msg) {
      console.log('Simulator has launched');
    }).on('appStarted', function (msg) {
      console.log('App has started');
    }).on('appQuit', function (msg) {
      console.log('App has quit');
    }).on('log', function (msg) {
      console.log('[LOG] ' + msg);
    }).on('error', function (err) {
      console.error(err);
      process.exit(1);
    });
  }
} else {
  console.error("Command \"" + command + "\" not recognized.");
  process.exit(1);
}
